"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.bookRouter = void 0;
const express_1 = require("express");
const book_record_1 = require("../records/book.record");
const errors_1 = require("../utils/errors");
exports.bookRouter = (0, express_1.Router)()
    .get('/search/:title?', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    var _a;
    const books = yield book_record_1.BookRecord.findAll((_a = req.params.title) !== null && _a !== void 0 ? _a : '');
    res.json(books);
}))
    .get('/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const book = yield book_record_1.BookRecord.getOne(req.params.id);
    res.json(book);
}))
    .post('/', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const book = new book_record_1.BookRecord(req.body);
    yield book.insert();
    res.json(book);
}))
    .delete('/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const book = yield book_record_1.BookRecord.getOne(req.params.id);
    if (!book) {
        throw new errors_1.ValidationError('There is no such book.');
    }
    // if(await book.countGivenBooks() > 0) {
    //     throw new ValidationError('Cannot remove taken book')
    // }
    yield book.delete();
    res.end();
}));
//# sourceMappingURL=book.router.js.map