"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const book_record_1 = require("../records/book.record");
const defaultObj = {
    title: "Test title",
    author: "Test author",
    description: "Test description.",
    review: 0,
    count: 1,
};
test("Can build BookRecord", () => {
    const book = new book_record_1.BookRecord(defaultObj);
    expect(book.title).toBe("Test title");
    expect(book.author).toBe("Test author");
    expect(book.description).toBe("Test description.");
    expect(book.review).toBe(0);
    expect(book.count).toBe(1);
});
test("Validates incorrect title", () => {
    expect(() => new book_record_1.BookRecord(Object.assign(Object.assign({}, defaultObj), { title: "" }))).toThrow('Title of the book field cannot be empty and longer than 200');
});
test("Validates incorrect author", () => {
    expect(() => new book_record_1.BookRecord(Object.assign(Object.assign({}, defaultObj), { author: "" }))).toThrow('Author field cannot be empty and longer than 100');
});
test("Validates incorrect description", () => {
    expect(() => new book_record_1.BookRecord(Object.assign(Object.assign({}, defaultObj), { description: "" }))).toThrow('Description field cannot be empty and longer than 1000');
});
//# sourceMappingURL=book-record.test.js.map