"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const user_record_1 = require("../records/user.record");
const defaultObj = {
    firstname: "Test firstname",
    lastname: "Test lastname",
    password: "Test password",
    address: "Test address",
    email: 'a@w.p',
    username: 'byku',
    bookId: '',
    currentTokenId: '',
};
test("Can build UserRecord", () => {
    const user = new user_record_1.UserRecord(defaultObj);
    expect(user.firstname).toBe("Test firstname");
    expect(user.lastname).toBe("Test lastname");
    expect(user.password).toBe("Test password");
    expect(user.address).toBe("Test address");
});
test("Validates incorrect firstname", () => {
    expect(() => new user_record_1.UserRecord(Object.assign(Object.assign({}, defaultObj), { firstname: "" }))).toThrow('Firstname field cannot be empty and longer than 100');
});
test("Validates incorrect lastname", () => {
    expect(() => new user_record_1.UserRecord(Object.assign(Object.assign({}, defaultObj), { lastname: "" }))).toThrow('Lastname field cannot be empty and longer than 100');
});
test("Validates incorrect address", () => {
    expect(() => new user_record_1.UserRecord(Object.assign(Object.assign({}, defaultObj), { address: "" }))).toThrow('Address field cannot be empty and longer than 1000');
});
test("Validates incorrect password", () => {
    expect(() => new user_record_1.UserRecord(Object.assign(Object.assign({}, defaultObj), { password: "test" }))).toThrow('Password field cannot be shorter than 6 and longer than 50');
});
//# sourceMappingURL=user-record.test.js.map